|  | Home

# QtDateTimePropertyManager Class Reference

The QtDateTimePropertyManager provides and manages QDateTime properties. More...

     #include <QtDateTimePropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

### Public Functions

- QtDateTimePropertyManager ( QObject * parent = 0 )
- ~QtDateTimePropertyManager ()
- QDateTime value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

### Public Slots

- void setValue ( QtProperty * property, const QDateTime & value )

- 1 public slot inherited from QObject

### Signals

- void valueChanged ( QtProperty * property, const QDateTime & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtDateTimePropertyManager provides and manages QDateTime properties.

A date and time property has a current value which can be retrieved using the value() function, and set using the setValue() slot. In addition, QtDateTimePropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager, QtDateTimeEditFactory, and QtDatePropertyManager.

## Member Function Documentation

### QtDateTimePropertyManager::QtDateTimePropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtDateTimePropertyManager::~QtDateTimePropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtDateTimePropertyManager::setValue ( QtProperty * property, const QDateTime & value ) `[slot]`

Sets the value of the given property to value.

See also value() and valueChanged().

### QDateTime QtDateTimePropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns an invalid QDateTime object.

See also setValue().

### void QtDateTimePropertyManager::valueChanged ( QtProperty * property, const QDateTime & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.